var _tmpl_isMobile      = false,
    _tmpl_animated      = true,
    _tmpl_newDays       = 7;


if (navigator.userAgent.match(/Android/i) ||
    navigator.userAgent.match(/webOS/i) ||
    navigator.userAgent.match(/iPhone/i) ||
    navigator.userAgent.match(/iPad/i)||
    navigator.userAgent.match(/iPod/i) ||
    navigator.userAgent.match(/IEMobile/i) ||
    navigator.userAgent.match(/BlackBerry/i)) {
    _tmpl_isMobile = true;
};


window.onload = function () {
	_func_loader();

	if ( _tmpl_animated == true) {
		_func_animate();
	}	

	_func_goTop();
    _func_toBasket();
    _func_goodTabs();
    _func_blogEntries();
    _func_newGood();


    $('#shop-basket').on({
        click: function() {
            $(this).addClass('opened');
        },
        mouseleave: function() {
            $(this).removeClass('opened');
        }
    });

    $('#menu .uWithSubmenu > a').append('<span class="fa fa-angle-down"></span>');

    $('.search-icon').click(function() {
        $('#search').fadeIn(300);
    });
    $('.search-close').click(function() {
        $('#search').fadeOut(300);
    });


    $(".slider").aSlider({
        prevBtn: '.slider-wrap .fa-angle-left',
        nextBtn: '.slider-wrap .fa-angle-right',
        fadeSpeed: 500,
        autoPlay: true,
        autoPlayDelay: 4000   
    });


    $(".gcarousel .goods-list").each(function() {
        var carousel = $(this),
            prev = $(this).parent().parent().find('.title .fa-angle-left'),
            next = $(this).parent().parent().find('.title .fa-angle-right');
        $(this).owlCarousel({
            items: 3,
            itemsDesktop: [1199, 3],
            itemsDesktopSmall: [1024,3],
            itemsTablet: [790,2],
            itemsTabletSmall: false,
            itemsMobile: [490,1]
        });
        prev.click(function() {
            carousel.trigger('owl.prev');
        });
        next.click(function() {
            carousel.trigger('owl.next');
        });
    });

    $('.menu-icon').click(function() {
        $('#menu .uMenuRoot').toggle(300);
    });
};

function _func_newGood() {
    c_date = new Date(_ucoz_date.replace(/(\d+).(\d+).(\d+)/, '$3/$2/$1'));
    $('.list-item, .good-images').each(function() {
            g_date = new Date($(this).find('.gnew').data('date').replace(/(\d+).(\d+).(\d+)/, '$3/$2/$1'));
            n_date = Math.floor((c_date - g_date) / (1000 * 60 * 60 * 24));
        if ( n_date <= _tmpl_newDays ) {
            $(this).find('.gnew').css('display', 'block');
        };
    });
};


function _func_loader() {
	$("#loader").fadeOut(500);
};

function _func_goTop() {
    $('<span id="go-top" class="fa fa-angle-up" title="Вверх!"></span>').appendTo('body');
    $('#go-top').css({
                'opacity'    : '0',
                'visibility' : 'hidden'
            });
    $(window).scroll(function() {
        if ($(this).scrollTop() > 500) {
            $('#go-top').css({
                'opacity'    : '1',
                'visibility' : 'visible'
            });
        } else {
            $('#go-top').css({
                'opacity'    : '0',
                'visibility' : 'hidden'
            });
        }
    });
    $('#go-top').click(function() {
        $('body,html').animate({
            scrollTop: 0
        }, 800);
        return false
    });
};

function _func_toBasket() {
    $('.to-basket input[type="text"]').before('<span class="fa fa-minus"></span>');
    $('.to-basket input[type="text"]').after('<span class="fa fa-plus"></span>');

    $('.to-basket .fa-plus').click(function() {
        var inputVal = +$('.to-basket input[type="text"]').val();
        $('.to-basket input[type="text"]').val(inputVal+1)
    });
    $('.to-basket .fa-minus').click(function() {
        var inputVal = +$('.to-basket input[type="text"]').val();
        if ( inputVal > 1 ) {
            $('.to-basket input[type="text"]').val(inputVal-1)
        }
    });
};

function _func_goodTabs() {
    $('.good-tabs').aTabs();
};

function _func_blogEntries() {
    $('.post').parent().addClass('post-wrap col2').parent().addClass('oh');
};

function setCookie(name, value, options) {
    options = options || {};
    var expires = options.expires;
    if (typeof expires == "number" && expires) {
        var d = new Date();
        d.setTime(d.getTime() + expires * 1000);
        expires = options.expires = d;
    }
    if (expires && expires.toUTCString) {
        options.expires = expires.toUTCString();
    }
    value = encodeURIComponent(value);
    var updatedCookie = name + "=" + value;
    for (var propName in options) {
        updatedCookie += "; " + propName;
        var propValue = options[propName];
        if (propValue !== true) {
            updatedCookie += "=" + propValue;
        }
    }
    document.cookie = updatedCookie;
};

function getCookie(name) {
    var matches = document.cookie.match(new RegExp(
        "(?:^|; )" + name.replace(/([\.$?*|{}\(\)\[\]\\\/\+^])/g, '\\$1') + "=([^;]*)"
    ));
    return matches ? decodeURIComponent(matches[1]) : undefined;
};

function deleteCookie(name) {
    setCookie(name, "", {
        expires: -1
    });
};

function _func_animate() {    
    if (_tmpl_isMobile == true) {
        $('.animated').removeClass('animated');
    }
    if (_tmpl_isMobile == false) {
        $('*[data-animated]').each(function() {
            if ( !$(this).parent().parent().hasClass('owl-item') ) {
                $(this).addClass('animated');
            };
        });
    }
    function animated_contents() {
        $('.animated:appeared').each(function (i) {
            var $this    = $(this),
                animated = $(this).data('animated');

            setTimeout(function () {
                $this.addClass(animated);
            }, 100 * i);

        });
    }
    if (_tmpl_isMobile == false) {
        animated_contents();
        $(window).scroll(function () {
            animated_contents();
        });
    }
};